import Button from "./components/Button";
import Script from "./components/Script";
import locales from "./locales";
var language = "en";
// Use navigator language
if (typeof navigator !== "undefined" && navigator.language)
    language = navigator.language;
// Use ISO language code
if (language.includes("-"))
    language = language.replace("-", "_");
// Mapping of language codes to ISO language codes with default country codes
var languageMapping = {
    en: "en_US",
    fr: "fr_FR",
    ar: "ar_AR",
    es: "es_ES",
    de: "de_DE",
    pt: "pt_PT",
    zh: "zh_CN",
    he: "he_IL",
};
var ll_CC = (language === null || language === void 0 ? void 0 : language.includes("_")) ? languageMapping[language] : language;
var labels = locales[ll_CC];
export { Button, Script, labels, ll_CC };
//# sourceMappingURL=index.js.map